summaryrefslogtreecommitdiff
path: root/dev-python/github3/github3-3.1.2.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-02-25 08:43:21 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-02-25 08:43:21 +0000
commit71859522cbacd86ea2788ababb1d7d2cfb58d320 (patch)
tree04bb6c4025d27ab3dac9618aa9fe48f5495c9b53 /dev-python/github3/github3-3.1.2.ebuild
parent19ec52ea203a62ef35a2cec283c1e9370ffa0e69 (diff)
downloadbaldeagleos-repo-71859522cbacd86ea2788ababb1d7d2cfb58d320.tar.gz
baldeagleos-repo-71859522cbacd86ea2788ababb1d7d2cfb58d320.tar.xz
baldeagleos-repo-71859522cbacd86ea2788ababb1d7d2cfb58d320.zip
Adding metadata
Diffstat (limited to 'dev-python/github3/github3-3.1.2.ebuild')
-rw-r--r--dev-python/github3/github3-3.1.2.ebuild45
1 files changed, 45 insertions, 0 deletions
diff --git a/dev-python/github3/github3-3.1.2.ebuild b/dev-python/github3/github3-3.1.2.ebuild
new file mode 100644
index 000000000000..5302fb0ca1d5
--- /dev/null
+++ b/dev-python/github3/github3-3.1.2.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A wrapper for the GitHub API written in python"
+HOMEPAGE="https://github3py.readthedocs.io/en/master/"
+SRC_URI="
+ https://github.com/sigmavirus24/${PN}.py/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${PN}.py-${PV}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-vcs/git
+ >=dev-python/requests-2.18.0[${PYTHON_USEDEP}]
+ >=dev-python/uritemplate-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.6.0[${PYTHON_USEDEP}]
+ >=dev-python/pyjwt-2.3.0[${PYTHON_USEDEP}]
+"
+# via PyJWT[crypto]
+RDEPEND+="
+ >=dev-python/cryptography-3.3.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/betamax-0.8.0[${PYTHON_USEDEP}]
+ >=dev-python/betamax-matchers-0.1.0[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/addopts/d' tox.ini || die
+ distutils-r1_src_prepare
+}